/* stats.h
 * Header for the loadable module stats.c
 *
 * Author:	Eyal Lebedinsky (eyal@ise.canberra.edu.au)
 * Last update:	28 June 1995
*/

#ifndef LINUX_M_STATS_H
#define LINUX_M_STATS_H

#define ST_MODE_TIMER		0
#define ST_MODE_TOD		1
#define ST_MODE_MAX		1

#define ST_DEF_COUNT		100
#define ST_ARRAY_UNIT		1000
#define ST_ARRAY_SIZE		(4*ST_ARRAY_UNIT)
#define ST_DEF_MODE		ST_MODE_TIMER

#define ST_SET_COUNT		0x01
#define ST_GET_COUNT		0x02
#define ST_SET_MODE		0x03
#define ST_GET_MODE		0x04
#define ST_CLEAR		0x05
#define ST_GET_TOTAL		0x06

#endif /* ifndef LINUX_M_STATS_H */
